package andriod.trial;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.*;

public class MainActivity extends Activity {

    private ArrayAdapter<String> listItems;
    private ListView listView;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        listItems = new ArrayAdapter<String>(this, R.layout.list_item);
        listItems.add(getResources().getString(R.string.itemOne));
        listItems.add(getResources().getString(R.string.itemTwo));
        listView = (ListView) findViewById(R.id.myListView);
        listView.setAdapter(listItems);
        listView.setOnItemClickListener(myItemClickListener);
        findViewById(R.id.addButton).setOnClickListener(buttonClick);
    }

    @Override
    protected void onPause() {
        super.onPause();
    }
    private OnItemClickListener myItemClickListener = new OnItemClickListener() {
        public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
            TextView textView = (TextView) findViewById(R.id.helloTextView);
            textView.setText(getResources().getString(R.string.selectedItemIs) + (((TextView) view).getText()));
        }
    };
    private View.OnClickListener buttonClick = new View.OnClickListener() {
        private EditText editText;

        public void onClick(View v) {
            AlertDialog.Builder builder = new AlertDialog.Builder(MainActivity.this);
            editText = new EditText(builder.getContext());
            builder.
                    setMessage(getResources().getString(R.string.typeInputString)).
                    setView(editText).
                    setTitle(getResources().getString(R.string.inputDialogTitle)).
                    setNegativeButton(getResources().getString(R.string.cancel), new OnClickListener() {
                public void onClick(DialogInterface dialog, int which) {
                    dialog.cancel();
                }
            }).
                    setPositiveButton(getResources().getString(R.string.ok), new OnClickListener() {
                public void onClick(DialogInterface dialog, int which) {
                    listItems.add(editText.getText().toString());
                    dialog.dismiss();
                }
            });
            AlertDialog dialog = builder.create();
            dialog.show();
        }
    };
}
